Subject: [secdir] SECDIR review of draft-ietf-straw-b2bua-loop-detection-04

From: Chris Lonvick <[email-masked]>
Date: Fri, 18 Apr 2014 15:58:36 -0700

Hi,

I have reviewed this document as part of the security directorate's
ongoing effort to review all IETF documents being processed by the
IESG.  These comments were written primarily for the benefit of the
security area directors.  Document editors and WG chairs should treat
these comments just like any other last call comments.

The document is well written and I agree that the Security Considerations
section of RFC 5393 pretty much covers everything in this document.

I don't feel strongly about this\, but the authors may wish to describe
what could happen if one B2BUA adheres to the specifications described in
this document (adds appropriate header information when it finds none)
and an old B2BUA that has not implemented these specifications (may strip
out Via header information) causing a loop to encourage everyone to
implement the recommendations in this specification.

Regards,
Chris